| Home | Libraries | People | FAQ | More

## Function template visitor_ptr

boost::visitor_ptr — Returns a visitor object that adapts function pointers for use as a static visitor.

## Synopsis

    template<typename R, typename T> visitor_ptr_t<T,R> visitor_ptr(R (*)(T) );

## Description

Constructs and returns a `visitor_ptr_t` adaptor over the given function.

Returns: Returns a `visitor_ptr_t` visitor object that, when applied, invokes the given function.
Throws: Will not throw. (Note, however, that the returned visitor object may throw when applied.)

Last revised: , at GMT | Copyright © 2002, 2003 Eric Friedman, Itay Maman

Class template visitor_ptr_t |  | Design Overview